Bug 5822 - LDB: "schemaUpdateNow" fails with "20:Attribute or value exists"
LDB: "schemaUpdateNow" fails with "20:Attribute or value exists"
Product: Samba 4.0
Classification: Unclassified
x86 Linux
: P3 major
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
Depends on:
  Show dependency treegraph
Reported: 2008-10-10 09:05 UTC by Anatoliy Atanasov
Modified: 2009-07-28 07:57 UTC (History)
2 users (show)

See Also:

schemaUpdateNow command (64 bytes, application/octet-stream)
2008-10-10 09:06 UTC, Anatoliy Atanasov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anatoliy Atanasov 2008-10-10 09:05:15 UTC
Found in latest master branch

I tried to reload the schema sending a schemaUpdateNow command.
I receive:
>>>>>>>>>>>> ERROR [1] DN: >>>>>>>>>>>>>>>>

 =========== LDAP ERROR:
ldap_modify_ext: Operations error (1)
        additional info: schema_fsmo_extended: dsdb_set_schema() failed: 20:Attribute or value exists
<<<<<<<<<<<<<<<  END ERROR [1] <<<<<<<<<<<<<<<<<<<<

I think this is due to a modification in dsdb_set_schema(), where dsdb_schema_set_attributes() call is added.

Same ldif works fine with MS Active Directory 2003(see attachment schemaUpdateNow.ldif)
Comment 1 Anatoliy Atanasov 2008-10-10 09:06:03 UTC
Created attachment 3673 [details]
schemaUpdateNow command
Comment 2 Matthias Dieter Wallnöfer 2008-12-16 16:50:28 UTC
Someone is working on it.
Comment 4 Anatoliy Atanasov 2009-07-28 07:07:52 UTC
This issue should be fixed now.
Comment 5 Matthias Dieter Wallnöfer 2009-07-28 07:49:38 UTC
But were your patches merged in "master"?
Comment 6 Anatoliy Atanasov 2009-07-28 07:50:31 UTC
Yes, Andrew Bartlett pushed it.
Comment 7 Matthias Dieter Wallnöfer 2009-07-28 07:57:06 UTC
Yeah, found it (URL).